protected class NanoHTTPD.HTTPSession extends Object implements NanoHTTPD.IHTTPSession
| Modifier and Type | Field and Description |
|---|---|
static int |
BUFSIZE |
static int |
MAX_HEADER_SIZE |
| Constructor and Description |
|---|
NanoHTTPD.HTTPSession(NanoHTTPD.TempFileManager tempFileManager, InputStream inputStream, OutputStream outputStream) |
NanoHTTPD.HTTPSession(NanoHTTPD.TempFileManager tempFileManager, InputStream inputStream, OutputStream outputStream, InetAddress inetAddress) |
| Modifier and Type | Method and Description |
|---|---|
void |
execute() |
long |
getBodySize()
Deduce body length in bytes.
|
NanoHTTPD.CookieHandler |
getCookies() |
Map |
getHeaders() |
InputStream |
getInputStream() |
NanoHTTPD.Method |
getMethod() |
Map |
getParms() |
String |
getQueryParameterString() |
String |
getRemoteHostName()
Get the remote hostname of the requester.
|
String |
getRemoteIpAddress()
Get the remote ip address of the requester.
|
String |
getUri() |
void |
parseBody(Map
Adds the files in the request body to the files map.
|
public static final int BUFSIZE
public static final int MAX_HEADER_SIZE
public NanoHTTPD.HTTPSession(NanoHTTPD.TempFileManager tempFileManager, InputStream inputStream, OutputStream outputStream)
public NanoHTTPD.HTTPSession(NanoHTTPD.TempFileManager tempFileManager, InputStream inputStream, OutputStream outputStream, InetAddress inetAddress)
public void execute()
throws IOException
execute in interface NanoHTTPD.IHTTPSession
IOExceptionpublic NanoHTTPD.CookieHandler getCookies()
getCookies in interface NanoHTTPD.IHTTPSession
public final MapgetHeaders()
getHeaders in interface NanoHTTPD.IHTTPSession
public final InputStream getInputStream()
getInputStream in interface NanoHTTPD.IHTTPSession
public final NanoHTTPD.Method getMethod()
getMethod in interface NanoHTTPD.IHTTPSession
public final MapgetParms()
getParms in interface NanoHTTPD.IHTTPSession
public String getQueryParameterString()
getQueryParameterString in interface NanoHTTPD.IHTTPSession
public final String getUri()
getUri in interface NanoHTTPD.IHTTPSession
public long getBodySize()
public void parseBody(Mapfiles) throws IOException, NanoHTTPD.ResponseException
NanoHTTPD.IHTTPSession
parseBody in interface NanoHTTPD.IHTTPSession
files - map to modifyIOExceptionNanoHTTPD.ResponseExceptionpublic String getRemoteIpAddress()
NanoHTTPD.IHTTPSession
getRemoteIpAddress in interface NanoHTTPD.IHTTPSession
public String getRemoteHostName()
NanoHTTPD.IHTTPSession
getRemoteHostName in interface NanoHTTPD.IHTTPSession
Copyright © 2012–2016 nanohttpd. All rights reserved.